/* jshint indent: 1 */

module.exports = function(sequelize, DataTypes) {
	return sequelize.define('recourses', {
		id: {
			type: DataTypes.BIGINT,
			allowNull: false,
			primaryKey: true,
			autoIncrement: true,
			field: 'Id'
		},
		externalGuid: {
			type: DataTypes.UUIDV4,
			allowNull: false,
			field: 'ExternalGuid'
		},
		code: {
			type: DataTypes.STRING,
			allowNull: false,
			field: 'Code'
		},
		name: {
			type: DataTypes.STRING,
			allowNull: false,
			field: 'Name'
		},
		updatedAt: {
			type: DataTypes.DATE,
			allowNull: true,
			field: 'UpdatedAt'
		},
		createdAt: {
			type: DataTypes.DATE,
			allowNull: true,
			field: 'CreatedAt'
		},
		deletedAt: {
			type: DataTypes.DATE,
			allowNull: true,
			field: 'DeletedAt'
		}
	}, {
		tableName: 'Recourses'
	});
};
