/* jshint indent: 2 */

module.exports = function(sequelize, DataTypes) {
    return sequelize.define('prospectInformation', {
      id: {
        type: DataTypes.BIGINT,
        allowNull: false,
        primaryKey: true,
        autoIncrement: true,
        field: 'Id'
      },
      externalGuid: {
        type: DataTypes.UUID,
        allowNull: false,
        field: 'ExternalGuid'
      },
      fullName: {
        type: DataTypes.STRING,
        allowNull: false,
        field: 'FullName'
      },
      email: {
        type: DataTypes.STRING,
        allowNull: false,
        field: 'Email'
      },
      plannedPurhaseDate: {
        type: DataTypes.DATE,
        allowNull: true,
        field: 'PlannedPurhaseDate'
      },
      updatedAt: {
        type: DataTypes.DATE,
        allowNull: true,
        field: 'UpdatedAt'
      },
      createdAt: {
        type: DataTypes.DATE,
        allowNull: true,
        field: 'CreatedAt'
      },
      deletedAt: {
        type: DataTypes.DATE,
        allowNull: true,
        field: 'DeletedAt'
      }
    }, {
      tableName: 'ProspectInformation'
    });
  };
  